Ruby Code Editors

Okay the IDE thread, which I realized would be better suited as "Code Editors", has been acted upon, and I now have a rather comprehensive list of them. Thanks to everyone for their help, and especially Markus for the giant list of editors provided. Anyways without further ado:

I think KDevelop has Ruby support, but I'm not sure to what extent as I don't have a Linux box with KDE (just gnome). If I missed something or made a mistake, let me know or feel free to add to the wiki. Also if someone from the BSD world could add it on appropriately to the supported operating systems list that would be great.

Regards,
Chris White
Twitter: http://www.twitter.com/cwgem

thanks..
maybe you could add Geany. it's working well for me on Windows.

http://www.geany.org/

···

--
Posted via http://www.ruby-forum.com/.

Hi Chris,
    at some stage I think it might be worthwhile to document whether an
editor or IDE supports syntax highlighting of DSLs commonly associated with
Ruby development.

For me, native highlighting of Haml, Cucumber really sorts out the 'supports
Ruby' and really supports Ruby.

regards,
Richard

···

On Thu, Aug 4, 2011 at 12:21 AM, Chris White <cwprogram@live.com> wrote:

Okay the IDE thread, which I realized would be better suited as "Code
Editors", has been acted upon, and I now have a rather comprehensive list of
them. Thanks to everyone for their help, and especially Markus for the giant
list of editors provided. Anyways without further ado:

https://github.com/cwgem/koans-tutorial/wiki/Ruby-Code-Editors

--
http://richardconroy.blogspot.com | http://twitter.com/RichardConroy